cURL
curl --request GET \ --url https://api.devic.ai/v1/tool-servers/{toolServerId}/tools \ --header 'Authorization: Bearer <token>'
{ "tools": [ { "function": { "name": "<string>", "description": "<string>", "strict": true, "parameters": { "type": "<string>", "properties": {}, "required": [ "<string>" ], "additionalProperties": true } }, "type": "function", "endpoint": "<string>", "method": "GET", "queryParametersKeys": [ "<string>" ], "pathParametersKeys": [ "<string>" ], "bodyPropertyKey": "<string>", "customHeaders": [ { "headerName": "<string>", "value": "<string>" } ], "isFormDataBody": true, "bodyMode": "simple", "bodyJsonTemplate": "<string>", "responsePostProcessingEnabled": true, "responsePostProcessingTemplate": "<string>" } ], "total": 123 }
Retrieves all tool definitions from a tool server definition.
Documentation IndexFetch the complete documentation index at: https://docs.devic.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.devic.ai/llms.txt
Use this file to discover all available pages before exploring further.
Use JWT token for authentication
The unique identifier of the tool server
Tools retrieved successfully
Array of tool definitions
Show child attributes
Total count of tools